SQL-инъекция в PHPSurveyor

Дата публикации:
22.04.2006
Дата изменения:
17.10.2006
Всего просмотров:
2128
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHPSurveyor 0.x
Уязвимые версии: PHPSurveyor 0.995, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "surveyid" в сценарии "save.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Дальнейшая эксплуатация уязвимости может позволить злоумышленнику внедрить произвольный PHP код в лог файлы и выполнить его на системе с привилегиями Web сервера. Удачная эксплуатация уязвимости возможна, если лог файлы доступны всем для чтения.

URL производителя: www.phpsurveyor.org

Решение: Установите последнюю версию (0.996) с сайта производителя.

Ссылки: PHPSurveyor <= 0.995 (surveyid) Remote Command Execution Exploit

или введите имя

CAPTCHA